# OpalParamProtocol Struct Reference

`#include <opal.h>`

List of all members.

## Public Attributes

const char * | m_prefix
const char * | m_userName
const char * | m_displayName
OpalProductDescription | m_product
const char * | m_interfaceAddresses

## Detailed Description

Protocol parameters for the OpalCmdSetProtocolParameters command. This is only passed to and returned from the OpalSendMessage() function.

## Member Data Documentation

const char* OpalParamProtocol::m_prefix

Protocol prefix for parameters, e.g. "h323" or "sip". If this is NULL or empty string, then the parameters are set for all protocols where they maybe set.

const char* OpalParamProtocol::m_userName

User name to identify the endpoint. This is usually the protocol specific name and may interact with the OpalCmdRegistration command. e.g. "robertj or 61295552148

const char* OpalParamProtocol::m_displayName

Display name to be used. This is the human readable form of the users name, e.g. "Robert Jongbloed".

OpalProductDescription OpalParamProtocol::m_product

Product description data

const char* OpalParamProtocol::m_interfaceAddresses

A list of interfaces to start listening for incoming calls. This list is separated by the '
' character. If NULL no listeners are started or stopped. If and empty string ("") then all listeners are stopped. If a "*" then listeners are started for all interfaces in the system.

The documentation for this struct was generated from the following file:

- opal.h